set CATALINA_BASE=./app
set CATALINA_HOME=./tomcat
set CATALINA_TMPDIR=./tmp


rem set java.endorsed.dirs="C:\java\apache-tomcat-6.0.20\endorsed
set JVM_OPTIONS=-Xmx1024m -Djavamelody.system-actions-enabled=true 
rem -Djavamelod.monitoring-path=/zsso/monitoring

SET DB_OPTIONS=-DZSSO_DB_URL=jdbc:derby://127.0.0.1:1527/zsso;create=true -DZSSO_DB_USER=app -DZSSO_DB_PASS=a -DZSSO_DB_DRIVER=org.apache.derby.jdbc.ClientDriver
SET DB_OPTIONS=%DB_OPTIONS% -DPAGING_CLASS=org.velocityweb.dao.jdbc.dialect.paging.DerbyPageDialect -DSQL_FUN_CLASS=org.velocityweb.dao.jdbc.dialect.function.DerbyFunctionDialect

SET PATH_ROOT=./logs
SET PATH_OPTIONS=-DZSSO_LOG_DIR=%PATH_ROOT%/ -Djavamelody.storage-directory=%PATH_ROOT%/tmp/report_temp -DZSSO_HTML_RAW_DATA_LOG_DIR=%PATH_ROOT%/html_log -DZSSO_BINARY_DIR=%PATH_ROOT%/zsso_binary
SET PORT_OPTIONS=-DSSO_PORT=80 -DSSO_ADMIN_PORT=8180

SET WEBSERVICE_OPTIONS=-DZSSO_WEBSERVICE_URL=http://localhost:8091/zsso/SsoWebservice

echo %JVM_OPTIONS%
echo %DB_OPTIONS%
echo %PATH_OPTIONS%
echo %PORT_OPTIONS%

rem set CLASSPATH=.;%CATALINA_HOME%/bin/bootstrap.jar;%CATALINA_HOME%/bin/tomcat-juli.jar;%CATALINA_HOME%/lib/tools.jar;
set PATH=.;./jre/bin;./tomcat/bin
SET JAVA_HOME=
SET JRE_HOME=

SET JRE_HOME=./jre
rem ./uncompress_war

SET CATALINA_OPTS=%JVM_OPTIONS% %DB_OPTIONS% %PATH_OPTIONS% %PORT_OPTIONS% %WEBSERVICE_OPTIONS%
echo %CATALINA_OPTS%


set "EXECUTABLE=%CATALINA_HOME%\bin\catalina.bat"

rem database
REM SET JAR_PATH=./uncompress_war/WEB-INF/lib
SET JAR_PATH=%CATALINA_BASE%/lib
rem SET JAR_PATH=%CATALINA_BASE%/webapps/zsso/WEB-INF/lib

SET CLASSPATH=.;%JAR_PATH%/derby.jar;%JAR_PATH%/derbynet.jar
SET CLASSPATH=%CLASSPATH%;%JAR_PATH%/derbyLocale_cs.jar;%JAR_PATH%/derbyLocale_de_DE.jar;%JAR_PATH%/derbyLocale_es.jar;%JAR_PATH%/derbyLocale_fr.jar
SET CLASSPATH=%CLASSPATH%;%JAR_PATH%/derbyLocale_hu.jar;%JAR_PATH%/derbyLocale_it.jar;%JAR_PATH%/derbyLocale_ja_JP.jar;%JAR_PATH%/derbyLocale_ko_KR.jar
SET CLASSPATH=%CLASSPATH%;%JAR_PATH%/derbyLocale_pl.jar;%JAR_PATH%/derbyLocale_pt_BR.jar;%JAR_PATH%/derbyLocale_ru.jar;%JAR_PATH%/derbyLocale_zh_CN.jar
SET CLASSPATH=%CLASSPATH%;%JAR_PATH%/derbyLocale_zh_TW.jar
SET CLASSPATH=%CLASSPATH%;%JAR_PATH%/derbyclient.jar;%JAR_PATH%/derbyrun.jar;%JAR_PATH%/derbytools.jar

set DATABASE_PATH=./data